Api referencePosts
Filter a post
AuthorizationBearer <token>
In: header
Query Parameters
next?string
prev?string
sortBy?string
sortDirection?string
Value in
- "desc"
- "asc"
type*array<>
ownerId*string
entityId*string
rating*number
Range
1 <= value <= 5entityType*string
Value in
- "course"
- "lecture"
- "category"
- "space"
- "calendar"
- "event"
- "event-room"
- "organization"
- "post"
- "message"
- "chapter"
- "organization-group"
- "comment"
- "chat-room"
- "experience"
- "folder"
- "profile"
- "story"
- "story-group"
- "chat-room-member"
- "payment-method"
- "subjects-area"
- "subject"
- "book-library"
- "exam-collection"
- "exam"
- "document"
courseType*string
Value in
- "on-demand"
- "live"
status*array<>
text*string
groupBy*string
Value in
- "purchased-course"
- "owned-course"
- "feed"
filter*string
Value in
- "all"
- "answered-by-me"
- "community-question"
startDate*string
Format
date-timeendDate*string
Format
date-timefilterEntityIds*array<string>
Response Body
application/json
curl -X GET "https://example.com/v2/posts/filter?type=review&ownerId=string&entityId=string&rating=1&entityType=course&courseType=on-demand&status=solved&text=string&groupBy=purchased-course&filter=all&startDate=2019-08-24T14%3A15%3A22Z&endDate=2019-08-24T14%3A15%3A22Z&filterEntityIds=string"{ "data": [ {} ]}